Loading...
Searching...
No Matches
Opm::DistributeIndexMapping Class Reference
Inheritance diagram for Opm::DistributeIndexMapping:

## Public Member Functions

| DistributeIndexMapping (const std::vector< int > &globalIndex, const std::vector< int > &distributedGlobalIndex, IndexMapType &localIndexMap, IndexMapStorageType &indexMaps, std::vector< int > &ranks, std::set< int > &recv, bool isIORank)
void | pack (int link, MessageBufferType &buffer)
void | unpack (int link, MessageBufferType &buffer)

## Protected Attributes

const std::vector< int > & | distributedGlobalIndex_
IndexMapType & | localIndexMap_
IndexMapStorageType & | indexMaps_
std::map< int, int > | globalPosition_
std::set< int > & | recv_
std::vector< int > & | ranks_

The documentation for this class was generated from the following file:

- opm/simulators/flow/CollectDataOnIORank_impl.hpp